<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{61507DB3-6539-4161-9812-2103C794D209}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CallCenterApi.Common</RootNamespace>
    <AssemblyName>CallCenterApi.Common</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="LumiSoft.Net">
      <HintPath>..\CallCenterApi.Interface\CallCenterApi.Interface\Lib\LumiSoft.Net.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.JScript" />
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Newtonsoft.Json.12.0.3\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ValueTuple, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\..\packages\System.ValueTuple.4.5.0\lib\netstandard1.0\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CacheHelper.cs" />
    <Compile Include="CodeValidate.cs" />
    <Compile Include="CommonHelper.cs" />
    <Compile Include="CookieUtil.cs" />
    <Compile Include="DESEncrypt.cs" />
    <Compile Include="DTRequest.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SysConfigHelper.cs" />
    <Compile Include="Utils.cs" />
    <Compile Include="XmlFormatHelper.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\CallCenterCommon\CallCenter.Utility\CallCenter.Utility.csproj">
      <Project>{4da219cc-911e-4c81-bb0b-df5183fd50ff}</Project>
      <Name>CallCenter.Utility</Name>
    </ProjectReference>
    <ProjectReference Include="..\CallCenterApi.BLL\CallCenterApi.BLL.csproj">
      <Project>{d99011c9-0a57-4706-b073-091681effad7}</Project>
      <Name>CallCenterApi.BLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\CallCenterApi.DB\CallCenterApi.DB.csproj">
      <Project>{ae933bfc-b06c-4fe8-a352-0ce16db082d7}</Project>
      <Name>CallCenterApi.DB</Name>
    </ProjectReference>
    <ProjectReference Include="..\CallCenterApi.Model\CallCenterApi.Model.csproj">
      <Project>{03ac6599-ffc1-43db-8794-f42b9bf74ef5}</Project>
      <Name>CallCenterApi.Model</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>